Bug 699998 - Top level menu entries too narrow for Japanese translations
Top level menu entries too narrow for Japanese translations
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI, Usability (Show other bugs)
4.0.0.Beta2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 04:40 EDT by Heiko W. Rupp
Modified: 2015-02-01 18:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing the issue (108.26 KB, image/png)
2011-05-04 11:35 EDT, Ian Springer
no flags Details
Japanese resource file to reproduce this issue (139.49 KB, application/octet-stream)
2011-05-06 03:48 EDT, Fusayuki Minamoto
no flags Details

  None (edit)
Description Heiko W. Rupp 2011-04-27 04:40:52 EDT
See screenshot
Comment 2 Ian Springer 2011-05-04 11:35:50 EDT
Created attachment 496825 [details]
screenshot showing the issue
Comment 3 Fusayuki Minamoto 2011-05-06 03:48:25 EDT
Created attachment 497301 [details]
Japanese resource file to reproduce this issue
Comment 4 Fusayuki Minamoto 2011-05-06 03:55:37 EDT
When I add the following line to org.rhq.enterprise.gui.coregui.client.menu.MenuBarView.java, the top menu looks good so far on my FireFox 3.6.17/Fedora 14:

    private Canvas getLinksSection() {
        final HTMLFlow linksPane = new HTMLFlow();
        linksPane.setContents(setupLinks());
        linksPane.setWidth100(); // **************** THIS LINE IS ADDED

I think this is just a workaround for GWT thing.
Could you check it?
Comment 5 Heiko W. Rupp 2011-05-06 05:39:29 EDT
First batch of translations (including the attachment) have been commited to master ( b6c0b09 )
Comment 6 Charles Crouch 2011-09-30 13:53:36 EDT
Pushing out of JON3

Note You need to log in before you can comment on or make changes to this bug.